TransferRequestSubscription (The Data Transfer Agent Service 2.1.3-4.7.1-132914 API)
Date: 2017-10-17

org.gcube.datatransfer.agent.impl.event

## Class TransferRequestSubscription

- java.lang.Object
- - java.lang.Thread
  - - org.gcube.datatransfer.common.messaging.BrokerSubscription<TransferRequestListener>
    - - org.gcube.datatransfer.agent.impl.event.TransferRequestSubscription

- All Implemented Interfaces:
    Runnable, javax.jms.ExceptionListener

      public class TransferRequestSubscription
      extends org.gcube.datatransfer.common.messaging.BrokerSubscription<TransferRequestListener>

  Author:
    Nikolaos Drakopoulos(CERN)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.gcube.datatransfer.common.messaging.BrokerSubscription

      `org.gcube.datatransfer.common.messaging.BrokerSubscription.DestinationPair`

    - ### Nested classes/interfaces inherited from class java.lang.Thread

      `Thread.State, Thread.UncaughtExceptionHandler`

  - ### Field Summary

    - ### Fields inherited from class org.gcube.datatransfer.common.messaging.BrokerSubscription

      `ackMode, connections, listener, messageSelectors, pair, subscriberEndpoint, transacted`

    - ### Fields inherited from class java.lang.Thread

      `MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TransferRequestSubscription(String subscriberEndpoint)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setScope(org.gcube.common.core.scope.GCUBEScope scope)`

    - ### Methods inherited from class org.gcube.datatransfer.common.messaging.BrokerSubscription

      `getConnections, getDestinationPair, getListener, getMessageSelectors, onException, run, setConnections, setDestinationPair, setListener, setMessageSelectors, setupQueueSubscription, subscribe`

    - ### Methods inherited from class java.lang.Thread

      `activeCount, checkAccess, clone, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TransferRequestSubscription

          public TransferRequestSubscription(String subscriberEndpoint)

  - ### Method Detail

    - #### setScope

          public void setScope(org.gcube.common.core.scope.GCUBEScope scope)

      Specified by:
        `setScope` in class `org.gcube.datatransfer.common.messaging.BrokerSubscription<TransferRequestListener>`

Copyright © 2017. All Rights Reserved.